#ifndef HAZEL_TASK_H_
#define HAZEL_TASK_H_

#include <stdint.h>
#include <kernel/elf.h>

typedef struct {
    uint32_t eip;
    uint32_t esp;
    uint32_t cr3;
    uint32_t *next;
} task_t;

int task_init(task_t *task, elf_t *elf);
void schedule(void);

#endif
